@props([
    'icon' => null,
    'label' => null,
    'color' => null,
    'route' => null,
    'url' => null,
    'href' => '#',
    'click' => null,
])

@php
    if ($route) $href = route($route);
    else if ($url) $href = url($url);
    $attributes = $attributes->class([
        'text-' . $color => $color,
    ])->merge([
        'href' => $href,
        'wire:click.prevent' => $click,
    ]);
@endphp

<a {{ $attributes }}>
    <x-nue::icon :name="$icon"/>

    {{ $label ?? $slot }}
</a>